commit e4642d58adf802772f3f2e39566aee300d395742
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 20 15:10:29 2012 -0500

    2.31.12

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f2b760ea188bc3f0d373d0ab6e0ebfbeea62a707
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 20 15:10:00 2012 -0500

    Updates

 NEWS |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit a461f70080f4fb7127ee59619abed803dbdc2353
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 20 08:08:06 2012 -0500

    Silence some compiler warnings

 gio/gmenumarkup.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2c864a1bb2fa25b82dd439c705c2e9ae23f29c5d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 20 08:07:52 2012 -0500

    Silence a compiler warning

 gio/gmemoryinputstream.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 8852d4e9a08e7fbc9df7fb99a54b112f5049ee19
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 20 08:02:26 2012 -0500

    Fix a refcounting error

    'new' is created floating, therefore it is consumed by
    g_settings_set, and unreffing it after that call is not right.

 gio/gsettings-tool.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 6784468625a77b3daa1247f2199bc11714cb4eca
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jan 19 22:13:51 2012 -0500

    Note G_MESSAGES_DEBUG in README

 README.in |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit d683c201f93cdb3c98c4ee16b085f748d63df789
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jan 19 10:49:06 2012 -0500

    tests for GSettings action binding

    https://bugzilla.gnome.org/show_bug.cgi?id=668279

 gio/tests/gsettings.c |   46
 ++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 46 insertions(+), 0 deletions(-)

commit 1d98d18f64edddddea314630e9830a56082c2639
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jan 19 09:40:24 2012 -0500

    add a way to create a GAction from GSettings

    g_settings_create_action() will create a GAction for the named key,
    allowing it to be added to the action group of the application
    (so that
    the setting can be directly manipulated from menus, for example).

    https://bugzilla.gnome.org/show_bug.cgi?id=668279

 docs/reference/gio/gio-sections.txt |    3 +
 gio/gio.symbols                     |    1 +
 gio/gsettings.c                     |  262
 +++++++++++++++++++++++++++++++++++
 gio/gsettings.h                     |    3 +
 4 files changed, 269 insertions(+), 0 deletions(-)

commit cf48434867bf6fa074f9a0a67cf03b5c2157170a
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Thu Jan 19 09:01:08 2012 -0500

    gsignal: add g_signal_handlers_disconnect_by_data

    Similar to g_signal_handlers_disconnect_by_func() but disconnects all
    functions that use the given user_data.

    https://bugzilla.gnome.org/show_bug.cgi?id=668269

 gobject/gsignal.h |   15 +++++++++++++++
 1 files changed, 15 insertions(+), 0 deletions(-)

commit 41fbf42c3cbebcf061d023d35e2a4dff5ba7e7de
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Thu Jan 19 16:18:05 2012 +0100

    gioenums.h: Remove a trailing comma.

 gio/gioenums.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c95e9085296a1c76124896bf6bedd772cdef4c5e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Wed Jan 18 22:15:30 2012 -0500

    GSettingsSchema: ignore empty schema caches

    glib-compile-schemas used to generate these.  They're harmless
    and they
    mean that no schemas are installed in a particular directory, so just
    ignore them.

    https://bugzilla.gnome.org/show_bug.cgi?id=656301

 gio/gsettingsschema.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit d8b295abb3e34ce8fe5e7c16bf3ae208d70a3205
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jan 14 21:28:29 2012 +0100

    resources: Plug mem leaks in resource compiler

    ==13007== 173 bytes in 1 blocks are definitely lost in loss record
    90 of 106
    ==13007==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==13007==    by 0x407DDBA: standard_malloc (gmem.c:85)
    ==13007==    by 0x407E318: g_try_malloc (gmem.c:271)
    ==13007==    by 0x40654DE: g_file_get_contents (gfileutils.c:756)
    ==13007==    by 0x804A531: main (glib-compile-resources.c:580)

    ==13007== 521 (56 direct, 465 indirect) bytes in 1 blocks are
    definitely lost in loss record 100 of 106
    ==13007==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==13007==    by 0x407DDBA: standard_malloc (gmem.c:85)
    ==13007==    by 0x407E160: g_malloc (gmem.c:159)
    ==13007==    by 0x4091D8D: g_slice_alloc (gslice.c:1003)
    ==13007==    by 0x40674A1: g_hash_table_new_full (ghash.c:676)
    ==13007==    by 0x804B252: gvdb_hash_table_new (gvdb-builder.c:76)
    ==13007==    by 0x43C66B2: (below main) (libc-start.c:226)

 gio/glib-compile-resources.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 54b986d9187f3935f09b7ba04a9644f8f7c8556e
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Mon Jan 16 14:47:08 2012 -0500

    GApplication: drop support for appmenu/menubars

    This has been moved over to GtkApplication now.

    https://bugzilla.gnome.org/show_bug.cgi?id=668118

 gio/gapplication.c          |  105 +-----------------------------
 gio/gapplicationimpl-dbus.c |  154
 -------------------------------------------
 2 files changed, 1 insertions(+), 258 deletions(-)

commit 7a2e6ab79132db79987e67c08ff12be7b46eed62
Author: Dan Winship <danw@gnome.org>
Date:   Wed Jan 18 13:28:00 2012 -0500

    update .gitignores

 .gitignore           |    1 -
 gio/.gitignore       |    1 +
 gio/tests/.gitignore |    8 ++++++++
 3 files changed, 9 insertions(+), 1 deletions(-)

commit da9d98728dd6b43be2d9e51707e41e8ae1299676
Author: Dan Winship <danw@gnome.org>
Date:   Wed Jan 18 12:05:07 2012 -0500

    Fix glib-compile-resources usage when cross-compiling

    Copy the behavior of glib-genmarshal: require an installed copy of it,
    and use that rather than the built copy.

 configure.ac          |    5 +++++
 gio/tests/Makefile.am |   16 +++++++++++-----
 2 files changed, 16 insertions(+), 5 deletions(-)

commit 7a0bddd768b8f88c94ecf15ac026cad16af4e7f4
Author: Will Thompson <will@willthompson.co.uk>
Date:   Wed Jan 18 10:14:37 2012 +0000

    GDBusConnection: note that exit-on-close is sometimes TRUE

    g_bus_get_finish() and g_bus_get_sync() both document that the
    returned
    object will usually have exit-on-close set to TRUE, but the property's
    documentation specified that its default is FALSE. While that's
    technically true from a GObject perspective, it's not accurate
    from the
    API user's perspective.

    https://bugzilla.gnome.org/show_bug.cgi?id=668163

    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Reviewed-by: David Zeuthen <zeuthen@gmail.com>

 gio/gdbusconnection.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit d077b66ee9b480569095e605ce98edab61afbb1c
Author: Xavier Claessens <xavier.claessens@collabora.co.uk>
Date:   Mon Jan 16 14:51:19 2012 +0100

    GUnixConnection: add async variant for send/receive_credentials()

    https://bugzilla.gnome.org/show_bug.cgi?id=629503

 docs/reference/gio/gio-sections.txt |    4 +
 gio/gio.symbols                     |    4 +
 gio/gunixconnection.c               |  195
 ++++++++++++++++++++++++++++++-----
 gio/gunixconnection.h               |   15 +++-
 4 files changed, 193 insertions(+), 25 deletions(-)

commit 3691194b357aa5a045f8f87658150670834f45c2
Author: Dan Winship <danw@gnome.org>
Date:   Wed Jan 18 09:02:21 2012 -0500

    g_base64_encode_step: clarify break_lines behavior a bit

    break_lines uses LFs, not CRLFs like you might expect (since it's
    designed for email-related use), but we can't change that now since
    the caller has to allocate the output buffer and so the
    number-of-bytes-output is part of the ABI. So, just document that.

    https://bugzilla.gnome.org/show_bug.cgi?id=668158

 glib/gbase64.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 08036ce30318a666a4f9df22512d74805be0d498
Author: Dan Winship <danw@gnome.org>
Date:   Tue Jan 17 19:46:34 2012 -0500

    gsocket: make this compile on Windows again

    https://bugzilla.gnome.org/show_bug.cgi?id=668071

 configure.ac  |    2 +-
 gio/gsocket.c |   24 +++++++++++++-----------
 gio/gsocket.h |    4 ++--
 3 files changed, 16 insertions(+), 14 deletions(-)

commit 28f3d4dbffa108c2026efce714e09767c4794237
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jan 17 17:11:43 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |   92
 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 51 insertions(+), 41 deletions(-)

commit 3fe710c0b59b881c7b4090601f8c1a33876af78d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jan 17 17:10:19 2012 +0100

    Fix broken build with -Wundefined

 glib/gmacros.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d825828b7b00f67a06ef1b6ba7ddb9c5dd6b0d87
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Jan 17 12:32:37 2012 +0100

    resources: Skip initial underscores in resource section names

    Initial underscores are used in c identifier to make them private,
    for instance in Gtk+. However, we don't want to have this in the
    resource section name, that just looks ugly.

 gio/glib-compile-resources.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 7dfbe5aa3040d042131b9ff8ac1be0568d56303a
Author: Dan Winship <danw@gnome.org>
Date:   Mon Jan 16 17:15:06 2012 -0500

    gsocket: Use alternate IPv6 multicast group sockopt names

    Apparently IPV6_JOIN_GROUP and IPV6_LEAVE_GROUP are more portable than
    IPV6_ADD_MEMBERSHIP and IPV6_DROP_MEMBERSHIP. (Windows and Linux have
    both, but OS X only has the latter.)

 gio/gsocket.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8390f3bf7e49bbacd96b356c06fa2ebe3edeaf4c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 16 14:46:26 2012 -0500

    Back to the odd

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 639c5867c7d86cb50d5dde54acaa9ec0fcdd7648
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 16 14:00:18 2012 -0500

    2.31.10

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1945ed407b4ee6e951cc1644274f9cac49e3f045
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 16 11:50:07 2012 -0500

    Updates

 NEWS |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

commit bf7408c30bac5b0a20202be5aaa850dd0ca1e671
Author: Dan Winship <danw@gnome.org>
Date:   Thu Dec 29 09:42:25 2011 -0500

    GInetSocketAddress: add IPv6 flowinfo and scope_id fields

    struct sin6_addr has two additional fields that struct sin_addr
    doesn't. Add support for those to GInetSocketAddress, and make sure
    they don't get lost when converting between glib and native types.

    https://bugzilla.gnome.org/show_bug.cgi?id=635554

 docs/reference/gio/gio-sections.txt |    2 +
 gio/ginetsocketaddress.c            |  109
 +++++++++++++++++++++++++++++++++-
 gio/ginetsocketaddress.h            |   12 ++--
 gio/gio.symbols                     |    2 +
 gio/gsocketaddress.c                |    7 ++-
 gio/tests/socket.c                  |   40 +++++++++++++
 6 files changed, 162 insertions(+), 10 deletions(-)

commit c71fc7477ed3ebe513432cba21d69ca99d7eb81c
Author: Dan Winship <danw@gnome.org>
Date:   Thu Dec 29 09:18:53 2011 -0500

    ginetaddress.c: fix an incorrect enum name in the docs

 gio/ginetaddress.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 76f46b4f33c178fe9a2c0113b38dca1dc9e87c97
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Mon Jan 16 19:22:28 2012 +0100

    GSocket: Use correct type for SO_BROADCAST parameter

 gio/gsocket.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d44bb6ef64bf309efa393d8c89138ba23ad6c004
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Mon Jan 16 15:49:50 2012 +0100

    GSocket: Reset the timeout in the GSocket GSource after it was
    triggered

    https://bugzilla.gnome.org/show_bug.cgi?id=667989

 gio/gsocket.c |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit fbdb8128dce3ef013640c7142888a76f56a7f0f8
Author: Ole André Vadla Ravnås <oravnas@cisco.com>
Date:   Mon Jan 16 14:00:49 2012 +0100

    GSocket: Add function to get the currently available bytes for reading

    https://bugzilla.gnome.org/show_bug.cgi?id=668009

 docs/reference/gio/gio-sections.txt |    1 +
 gio/gio.symbols                     |    1 +
 gio/gsocket.c                       |   34
 ++++++++++++++++++++++++++++++++++
 gio/gsocket.h                       |    2 ++
 4 files changed, 38 insertions(+), 0 deletions(-)

commit ffb5f8b10191ddf51ccd021c1e4dbba4eafbc370
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Fri Jan 13 13:01:35 2012 +0100

    GSocket: Add function to set/get the broadcast setting on a socket

    https://bugzilla.gnome.org/show_bug.cgi?id=623187

 docs/reference/gio/gio-sections.txt |    2 +
 gio/gio.symbols                     |    2 +
 gio/gsocket.c                       |   94
 +++++++++++++++++++++++++++++++++++
 gio/gsocket.h                       |    4 ++
 4 files changed, 102 insertions(+), 0 deletions(-)

commit 5560d9b8800de1144d77ed924286759286b7d27e
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Fri Jan 13 12:48:02 2012 +0100

    GSocket: Add function for setting unicast TTL

 docs/reference/gio/gio-sections.txt |    2 +
 gio/gio.symbols                     |    2 +
 gio/gsocket.c                       |  114
 +++++++++++++++++++++++++++++++++++
 gio/gsocket.h                       |    5 ++
 4 files changed, 123 insertions(+), 0 deletions(-)

commit 03b40522df4fb247f76e5948eddd2d7a02c097a5
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Fri Jan 13 12:53:50 2012 +0100

    GSocket: Add support for source-specific multicast (RFC 4604)

 gio/gsocket.c |   22 +++++++++++++++++-----
 gio/gsocket.h |    2 ++
 2 files changed, 19 insertions(+), 5 deletions(-)

commit 97f25892ea38e227fe802d0cc50fd88be12cdb17
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Fri Jan 13 12:37:31 2012 +0100

    GSocket: Add possibility to join a multicast group only on a specific
    interface

 configure.ac             |    4 ++++
 gio/gnetworkingprivate.h |    1 +
 gio/gsocket.c            |   28 +++++++++++++++++++++++++---
 gio/gsocket.h            |    2 ++
 4 files changed, 32 insertions(+), 3 deletions(-)

commit a62d1bb74728aa80af2410cee57950a545f6fa04
Author: Dan Winship <danw@gnome.org>
Date:   Thu Dec 29 11:01:23 2011 -0500

    GSocket: Add multicast-related functions

    Add APIs for sending and receiving multicast datagrams with GSocket.

    Based on an earlier patch from Olivier Chalouhi.

    https://bugzilla.gnome.org/show_bug.cgi?id=626589

 docs/reference/gio/gio-sections.txt |    7 +
 gio/gio.symbols                     |    6 +
 gio/gsocket.c                       |  337
 ++++++++++++++++++++++++++++++++++-
 gio/gsocket.h                       |   13 ++
 4 files changed, 362 insertions(+), 1 deletions(-)

commit 26b3fbd141089d493adb700be0366e8e7f9e595b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jan 15 15:52:24 2012 +0100

    Updated Norwegian bokmål translation

 po/nb.po |  239
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 162 insertions(+), 77 deletions(-)

commit afe7a2d1368fc8dff0735757c096ded3d540ae42
Author: Dan Winship <danw@gnome.org>
Date:   Thu Jan 5 13:04:37 2012 -0500

    GAsyncInitable: fix subclassibility

    If a class implements GAsyncInitable, and its parent also implements
    it, then the subclass needs to call its parent's init_async() before
    running its own. This was made more complicated by the fact that the
    default init_finish() behavior was handled by the wrapper method
    (which can't be used when making the super call) rather than the
    default implementation itself. Fix that.

    https://bugzilla.gnome.org/show_bug.cgi?id=667375

 gio/gasyncinitable.c |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit feb120eb40570e803e043e1a87213166ad307c30
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Jan 16 10:38:35 2012 +0100

    Fix typo

    registred_resources -> registered_resources

 gio/gresource.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit decac50c1598f75ce781a3c6a68a85c0defe38ac
Author: Patrick Welche <prlw1@cam.ac.uk>
Date:   Thu Jan 12 15:38:15 2012 +0000

    Protect call to pthread_condattr_setclock with define.

    While here update pthread_attr_setstacksize test to use AC_LINK_IFELSE
    and avoid an unused variable in glib/tests/thread.c.

    https://bugzilla.gnome.org/show_bug.cgi?id=667790

 configure.ac         |   22 +++++++++++++++++-----
 glib/gthread-posix.c |    2 +-
 glib/tests/thread.c  |    2 +-
 3 files changed, 19 insertions(+), 7 deletions(-)

commit 6d9f874330ee27ea09b383cb30718a492f6539dd
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 30 14:02:29 2011 +0100

    g_error_new_valist, g_error_copy: warn if domain is 0 or message
    is NULL

    Neither of those usages is valid, but there's a lot of use of 0 as a
    domain "in the wild", so we can't g_return_if_fail yet.

    Signed-off-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Bug: https://bugzilla.gnome.org/show_bug.cgi?id=660371

 glib/gerror.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit 186c15fc879606866215b40f1bfb730b1c47a727
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 15 23:18:09 2012 -0500

    GError: small documentation addition

    Document that out variables are not guaranteed to be set to
    defined values if an error is thrown. Inspired by bug 658315

 glib/gerror.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 5377c0de0108d292ea3e23fa6d90410f9ac9fa00
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 15 22:15:10 2012 -0500

    Beef up Libs.private in glib-2.0.pc

    This should help getting static builds working on mingw.
    Based on a patch by Volker Grabsch, bug 619126.

    At the same time, drop the unnecessary GLIB_RT_LIBS variable;
    we are already adding -lrt to G_THREAD_LIBS.

 configure.ac     |    4 +---
 gio-2.0.pc.in    |    2 +-
 glib-2.0.pc.in   |    2 +-
 glib/Makefile.am |    2 +-
 4 files changed, 4 insertions(+), 6 deletions(-)

commit 7e542e97a97a02592beea6a8ffff497f538df3ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 15 21:09:31 2012 -0500

    Trivial docs fix

    I like GLib to be consistently capitalized in the docs.

 docs/reference/gio/glib-compile-resources.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4abe25dbbdd1ba0fd430ef61a02334b8be497fc6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Jan 15 19:28:05 2012 +0100

    Updated Spanish translation

 po/es.po |  259
 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 176 insertions(+), 83 deletions(-)

commit 673396fb654036f7eb7ba152bb6966e48c1c0e5d
Author: Dan Winship <danw@gnome.org>
Date:   Sun Jan 15 09:35:11 2012 -0500

    gmain: fix adding a child source to an already-attached source

    Adding a child source to an already-attached parent source would
    crash, because we were passing the parent's context when setting the
    child's priority.

 glib/gmain.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 87dc86240835313f0cfe503b2d68a09301ad6240
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jan 15 00:34:56 2012 +0100

    Ensure to generate a flags GType for empty Flags enums

    When the flags enum only has the default NONE = 0 entry, glib-mkenums
    creates an enum type for it, not a flags type. Add an annotation
    to the
    enum to ensure the correct GType is created.

    Bug #667938.

 gio/gioenums.h |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit b717ef86ade12781b95464f4de26c1c1ec2f2df2
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jan 14 21:13:03 2012 +0100

    resources: Use g_set_error_literal where appropriate

 gio/gresourcefile.c |   10 ++++------
 1 files changed, 4 insertions(+), 6 deletions(-)

commit 870fc484d994093b1d4ebc8d2f52665530693e59
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jan 15 00:40:25 2012 +0100

    Add missing Since: docs

 gio/gioenums.h |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 91e3a673767214a86c3316f8851d93a911953f78
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jan 15 00:42:25 2012 +0100

    Updated Galician translations

 po/gl.po |  733
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 414 insertions(+), 319 deletions(-)

commit 0fd61489e5e02312dd54ad721bcca7c45cf367a4
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Sat Jan 14 11:18:07 2012 +0100

    gio/tests: Fix out-of-source build and use uninstalled libraries

 gio/tests/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit a6e149e41f359c4bf2ddab341dad20e7fb2bd9f3
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Jan 14 01:13:42 2012 +0100

    array: return_if_fail() if element size is 0

    This is particular useful for:
      g_array_new (sizeof (MyStruct), FALSE, FALSE);
    because the correct incantation is
      g_array_new (FALSE, FALSE, sizeof (MyStruct));
    and these warnings will trigger in the first situation.

 glib/garray.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 9d52243790aa460c228bdcf7ee8e28f78ecd7b13
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Jan 1 21:51:40 2012 +0100

    values: Use v_pointer for g_value_set_gtype()

    ... and g_value_get_gtype(). G_TYPE_GTYPE is a pointer type, so it's
    values should use the v_pointer member. This is especially true,
    because
    the value collectors from varargs in gvaluecollector.h use that, too.

    This should only cause issues when sizeof(glong) != sizeof(gpointer),
    and I'm not aware of any such platform. Maybe win64?

 gobject/gvaluetypes.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 86cd3018e0c5205707b2db8b9cc8537c2f60678d
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Jan 13 23:48:12 2012 +0100

    gio/tests: add some missing files to EXTRA_DIST

 gio/tests/Makefile.am |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit e3fe25669227944381119852b89beead267c604c
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Jan 13 23:18:01 2012 +0100

    gio: Fix for -Wformat-security

 gio/gresourcefile.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8735f53ae4f1530b07ff6cf1a5211378b09cd50d
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Jan 13 22:35:44 2012 +0100

    tests: Fix build failure of resources by linking against
    libgmodule-2.0.la

 gio/tests/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0ed77c4fdd44d717a7ab2e55b6d3551975133215
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 13 21:11:03 2012 +0100

    Updated POTFILES.in

 po/POTFILES.in |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 056cec779a02d33a49fa7bdd9abe621d6bdc95d4
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Jan 12 14:50:56 2012 +0100

    Add GResource functions to gio.symbols

 gio/gio.symbols |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 186e2d20780d23ebe234e9432ee7bfc47fd25ba3
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Jan 12 21:09:15 2012 +0100

    Add GLIB_COMPILE_RESOURCES to glib m4 macros

 m4macros/glib-2.0.m4 |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit ac51c338ed4c503dab0927e64e8de7cad5a73e0a
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Jan 12 20:51:56 2012 +0100

    Add glib_compile_resources variable to the gio pc file

 gio-2.0.pc.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c7dfea30b358d737a2711f25a7167968fede4c05
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Jan 13 16:39:28 2012 +0100

    Add documentation for GResource

 docs/reference/gio/Makefile.am                |    1 +
 docs/reference/gio/gio-docs.xml               |    5 +
 docs/reference/gio/gio-sections.txt           |   43 +++++++++++
 docs/reference/gio/glib-compile-resources.xml |  101
 +++++++++++++++++++++++++
 4 files changed, 150 insertions(+), 0 deletions(-)

commit e041843b3e70df95c8909cf4e35728d0d88c1530
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 21 23:37:56 2011 +0100

    Support resource:/// uris

 gio/Makefile.am       |    2 +
 gio/gresourcefile.c   |  875
 +++++++++++++++++++++++++++++++++++++++++++++++++
 gio/gresourcefile.h   |   51 +++
 gio/gvfs.c            |   11 +
 gio/tests/resources.c |   40 +++
 5 files changed, 979 insertions(+), 0 deletions(-)

commit 75439298f88b5a56130cd1fc03c944f0326471e5
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 21 21:45:16 2011 +0100

    Add tests for GResource

 gio/tests/Makefile.am         |   32 +++-
 gio/tests/resourceplugin.c    |   18 ++
 gio/tests/resources.c         |  436
 +++++++++++++++++++++++++++++++++++++++++
 gio/tests/test.gresource.xml  |   10 +
 gio/tests/test1.txt           |    1 +
 gio/tests/test2.gresource.xml |    6 +
 gio/tests/test2.txt           |    1 +
 gio/tests/test3.gresource.xml |    6 +
 gio/tests/test3.txt           |    1 +
 gio/tests/test4.gresource.xml |    6 +
 10 files changed, 516 insertions(+), 1 deletions(-)

commit 827657491dba97392f5ba38a5f5c13f8f2431b10
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 21 21:43:20 2011 +0100

    Initial version of glib-compile-resources

    This is the basic utility to create resource files, either binary
    versions or source files that can be compiled into your app.

 gio/Makefile.am              |   13 +-
 gio/glib-compile-resources.c |  693
 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 705 insertions(+), 1 deletions(-)

commit b87cf491630032de24c2c4ac680b6ea17613b2c8
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 21 21:38:23 2011 +0100

    Initial version of GResource

    GResource is a bundle of files combined into a single binary blog.
    The API lets you access the files the resource contains by
    using resource paths. You can also register resources with a
    global list and access these globally in a merged resource namespace.

    The normal way this is used is to link in the resources into your
    application/library and have it be automatically registred.

    Resources are compiled from an xml description using
    glib-compile-resources.

 gio/Makefile.am |    2 +
 gio/gio.h       |    1 +
 gio/gioenums.h  |   38 +++
 gio/giotypes.h  |    8 +
 gio/gresource.c |  844
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 gio/gresource.h |   98 +++++++
 6 files changed, 991 insertions(+), 0 deletions(-)

commit d85b722734a6fcfe94032f6113de9e5c190fd7c3
Merge: 9ef4554 73acf01
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Jan 13 16:12:56 2012 +0100

    Merge remote-tracking branch 'gvdb/master'

commit 9ef4554a0b252b092ee0e6731305b829d088f0cc
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Dec 21 21:13:21 2011 +0100

    Add macros to handle constructor functions on the compilers that
    support it

    This is only supported on some compilers, so we define
    G_HAS_CONSTRUCTORS
    when it is supported. However, when it is supported we guarantee that
    both constructors and destructors work, in executables as well
    as shared
    libraries (including runtime unloading of shared libraries).

    Usage is a bit unorthodox, as some compilers need to use #pragma to
    implement constructors, and #pragma can't be used in macros.

    The canonical way to use this:

      #ifdef G_DEFINE_CONSTRUCTOR_NEEDS_PRAGMA
      #pragma G_DEFINE_CONSTRUCTOR_PRAGMA_ARGS(my_constructor)
      #endif
      G_DEFINE_CONSTRUCTOR(my_constructor)

      static void my_constructor (void)
      {
        ...

      #ifdef G_DEFINE_DESTRUCTOR_NEEDS_PRAGMA
      #pragma G_DEFINE_DESTRUCTOR_PRAGMA_ARGS(my_destructor)
      #endif
      G_DEFINE_DESTRUCTOR(my_destructor)

      static void my_destructor (void)
      {
        ...

 glib/gmacros.h |   93
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 93 insertions(+), 0 deletions(-)

commit 73acf016185f323a8caa268b53284621d805fb15
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Jan 13 15:59:56 2012 +0100

    Support creating a GvdbReader from data

    This is needed for the glib resource work.

 gvdb-reader.c |  146
 +++++++++++++++++++++++++++++++++++++++++---------------
 gvdb-reader.h |   10 ++++
 2 files changed, 117 insertions(+), 39 deletions(-)

commit d1f6300363bb8afc5f7f1e54663a7201587bcd41
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Fri Jan 13 09:21:46 2012 +0100

    Docs: Changed can not to cannot.

    This is a backport from the glib commit
    30fdc1a79938540af7bad0af68d0a3b8af14f117

 gvdb-reader.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3db6241b12bccab05be6916e1f843091a3cea380
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Jan 13 09:38:35 2012 +0200

    Updated Hebrew translation.

 po/he.po |  442
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 221 insertions(+), 221 deletions(-)

commit 9e732ab0ea742d57a46f72be475ac1d2f026eae2
Author: Javier Jardón <jjardon@gnome.org>
Date:   Tue Dec 6 23:15:58 2011 +0000

    docs/gobject/tutorial: Use g_object_class_install_properties

 docs/reference/gobject/tut_gobject.xml |   51
 +++++++++++++++++---------------
 docs/reference/gobject/tut_howto.xml   |   33 ++++++++++++++-------
 2 files changed, 49 insertions(+), 35 deletions(-)

commit c3d6595f5a9230fc579edd9a646351b22ca6d976
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Sat Jan 7 09:54:53 2012 -0800

    GIO: add lots of annotations for Vala bindings

    https://bugzilla.gnome.org/show_bug.cgi?id=667447

 gio/gapplicationcommandline.c |    2 +-
 gio/gbufferedinputstream.c    |    3 ++-
 gio/gdbusintrospection.c      |    2 +-
 gio/gdbusmessage.c            |   15 ++++++++-------
 gio/gdbusserver.c             |    2 +-
 gio/gemblemedicon.c           |    2 +-
 gio/gfile.c                   |   18 +++++++++---------
 gio/gfileicon.c               |    3 ++-
 gio/gfileinfo.c               |    2 +-
 gio/gfilemonitor.c            |    2 +-
 gio/ginetaddress.c            |    2 +-
 gio/ginitable.c               |    2 +-
 gio/gmemoryinputstream.c      |    4 ++--
 gio/gmountoperation.c         |    3 ++-
 gio/gnetworkaddress.c         |    2 +-
 gio/gnetworkservice.c         |    2 +-
 gio/goutputstream.c           |    2 ++
 gio/gsimpleactiongroup.c      |    4 ++--
 gio/gsocket.c                 |   19 ++++++++++++-------
 gio/gsocketservice.c          |    3 ++-
 gio/gthemedicon.c             |    6 +++---
 gio/gtlsclientconnection.c    |    3 ++-
 gio/gtlsdatabase.c            |    4 ++--
 gio/gtlsfiledatabase.c        |    3 ++-
 gio/gtlspassword.c            |    1 +
 gio/gtlsserverconnection.c    |    3 ++-
 26 files changed, 65 insertions(+), 49 deletions(-)

commit e98f17e5cf1696d418444b23cb092be0eaba3008
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Thu Dec 22 00:16:06 2011 +0000

    Bug 666700 — Add some missing (allow-none) annotations

    Add some missing (allow-none) annotations to GContentType, GIcon and
    GHashTable methods.

    Closes: bgo#666700

 gio/gcontenttype.c |    2 +-
 gio/gicon.c        |    4 ++--
 glib/ghash.c       |    8 ++++----
 3 files changed, 7 insertions(+), 7 deletions(-)

commit f8843a0feb09898fea320a5a65a443bc5a70d78e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 10 00:40:14 2012 -0500

    Back to odd

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a016d82f1246b6bb58e4374f318ab47a5806672
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 10 00:39:20 2012 -0500

    2.31.8

 configure.ac |    2 +-
